import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const stewardSellOuutSubmitSell = createAsyncThunk(
  "STEWARD_SELL_OUT_SUBMIT_SERVICE",
  async (d, { dispatch }) => {
    try {
      const { data, status } = await axios.post(`steward_free_sale_bar/`, d);
      dispatch(LOADING_START());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
